0.28
====

20041002: Changed quotes dialog back to modal to fix segfaults.

20041007: Fixed rule parsing error in CSV quote plugin.


0.27
====

20040614: applied patch #972357 - new indicator VFI. Thanks to Xiaoguang Zhang.

20040615: applied patch #972868,972870 - VFI and Tester exit changes. Thanks to Xiaoguang Zhang.

20040615: fixed bug #972949 - yahoo Y2K bug. qtstalker was assuming any dates <1950 was a 
          21st century date. The yahoo history data only goes back to 1930, so cutoff date
	  is changed to anything before 1930 will be considered a 21st century date.
	    
20040620: fixed bug in WMA that causes a segfault. period was off by one for second loop.

20040621: fixed bug in BB that switched labels for upper and lower bands.

20040622: fixed bug #976814 in EMA logic that applied smoothing factor to the first value. now just a plain
          SMA value unsmoothed.
	  
20040622: changed Tester:: class to non-modal dialog for multiple instances. testing needed.

20040624: fixed bug in MOM, ROC, SD indicators that plots a blank chart.

20040624: fixed bugs in OVRLY indicator that displayed erratic behaviour.

20040626: fixed bug that didn't restore stacked indicators space defaults on startup. now it
          restores the default size of 75.
	  
20040628: fixed bug in PP indicator that didn't save linetype correctly.

20040704: New indicator plugin CUS. This allows the user to create custom indicator
          formulas. See DOCS for more info on usage.
	  
20040706: Changed the navigator gui from tabs to small buttons. Having to page back and forth
          to access all the tabs was becoming tiresome. Ahhh, much better being able to see and
	  select all the buttons at once.

20040710: Rough version of the symbol scanner is now included. Will be improving as time goes on.
          Need to update DOCS.

20040711: Changed the PaintBars chart type to use a custom formula to draw the paint bars. In order
          for it to work, the last step must be a COMP function that is checked to plot. This is the
	  boolean array that will be used to draw the paint bars. If the COMP function returns
	  TRUE than the bar will be considered an up bar. A FALSE value will be a down bar.
	  Need to update DOCS.
	  
20040717: Changed the Line chart type to use a custom formula to plot. Now more flexible to use
          a user defined formula rather than the hard coded options. The last step that is checked
	  to plot will be the one to plot. Need to update DOCS.

20040724: Applied patches #997264 - single pass optimisation for SMA, #997252 - cvsignore updates.
          Thanks to Marco van Zwetselaar.

20040728: Removed all the alert functions from all classes. The base plugin class was modified,
          so we have to bump up all the lib and plugin versions from 0.26 to 0.27. qtstalker now only loads
	  version 0.27 plugins.

20040729: Changed the back testing gui and logic to use the new CUS user language to create
          enter/exit rules instead of using the alert functions in the indicator plugins. The new
	  system is not backwards compatible with the old one, so you will need to re-create any
	  testing rules you already have. Need to update DOCS.
	  
20040730: Added value labels to fibo objects to display when adjusting the various levels in real
          time. Also fixed fonts for values to use local font instead of system default.
	  
20040730: Added a chart page to the back testing module. First chart is an equity line that
          plots the account balance. The second chart is a line plot of the symbol close with
	  the buy/sell points marked for each signal. Replaced the date range parms with a bars
	  counter instead.
	  
20040730: Added option to extend trendlines into the future in the edit dialog. Default is true.

20040801: Applied patch #1001473 - PlotLine bug in Tester::. Thanks to Xiaoguang Zhang.

20040801: Changed the method of entering/editing CUS rules in FormulaEdit:: to use a dialog
          for each function in order to keep correct grammer. The user has to use the dialog
	  now instead of entering functions by hand. Hopefully we can remove all the potential
	  user errors so I don't have to code error checking for every parm. sigh.....

20040801: Added trade delays for each backtester rule for enter/exit. Also added an apply button
          to the backtester dialog which saves the backtester rule at the user's wish.
	  
20040805: Removed the QSMath class and merged all it's code back into the indicator plugins.
          Figured out how the plugins can use other plugins now, so we can keep plugin framework
	  totaly OO in design. Bit of a speed hit, but barely noticable on a slow machine.
	  
20040805: New indicator plugins to be used for the CUS language. COMP, used to compare 2 data arrays
          and return a boolean array. MATH, used to add, divide, multiply or subtract to data arrays.
	  REF, returns a data array of bar values (open, close etc.). Need to update DOCS.
	  
20040805: Applied patch #1002999 - volume in tester. Thanks to Xiaoguang Zhang.

20040805: Plugins removed: MA2, MA3, MMA. Trying to reduce the number of plugins, these plugins
          are easily reproduced by using a CUS formula.

20040807: Added ability to create sub-groups in the chart group panel.

20040807: Tester now saves/loads the results of a test run.

20040812: Applied patch #1007570 - displacements in COMP. Thanks to Xiaoguang Zhang.

20040815: Modified the plugin base class and the indicator plugins to save custom parms in a new way
          that doesn't depend on field order. Developers will have to recreate any custom indicators,
	  tester rules etc. Also a complete recompile will be needed to update the plugins.
	  
20040815: Removed OI indicator plugin. Easily replaced by using a REF custom function now. Part
          of a plugin consolidation revue in progress.
	  
20040815: Merged WAD plugin with the AD plugin. Removed WAD.

20040815: Merged OBV,NVI,PVI,PVT plugins into new VT (Volume Trends) plugin. Removed OBV,NVI,PVI,PVT.

20040815: Removed STOCHRSI. Can easily be reproduced by a CUS formula.

20040816: Removed HLC. Can easily be reproduced by a CUS formula. Added MIN/MAX functions to the MATH plugin.

20040816: Added option for all indicators to be placed either on the main chart, the tabbed charts or
          stacked positions. Now users's can place them anywhere. Beware, some indicators placed on
	  the main chart will mess the chart up because of scaling differences ie. VOL.

20040817: Added an insert step function to the FormulaEdit widget, improving the editing of CUS
          formulas.

20040821: Moved Indicator class into qtstalkerlib so that plugins could return an Indicator
          instead of individual PlotLines.
	  
20040825: New class of plugins added. db plugins will be used to manage storage of bar and chart
          data. This allows more efficient use of storage, editing and extendibility. The plugins
	  added so far are Stocks, Futures, Index, Spread and CC. 
	  
20040825: Removed quote plugins CC, Spread, Index. No longer needed.

20040825: Fixed bug in COMP plugin that created problems parsing parms using the "=" as the
          delimiter. Had to change all the COMP operators to use abbreviations ie. GT instead of >.
	  
20040826: Added custom long and short stops to the tester module.

20040901: Removed Plugin class to better separate the various plugin classes to make less
          dependancies between plugin classes.
	  
20040902: Added copy rule to the backtester page.
	  
20040902: Added CUS rule respository ~/Qtstalker/cusrules. The FormulaEdit widget can now
          open and save rules that are being edited. The rules can be used by any FormulaEdit
	  using module.
	  
20040907: Added refresh option to the context menu for the group page.

20040907: Fixed bug that accepts search characters when creating indicators. This applies
          to any filename in qtstalker. Only number and alphabet characters are valid now.
	  
20040907: Scanner and backtest dialogs now display the name in the window titles.

20040912: Created new class of plugins for chart objects. Continuing the process of maximum
          modularity and flexibility. Moved chart object code classes from /src and created
	  a COPlugin class for each one.
	  
20040913: Applied patch #1025390 - indicator plugin COUNTER. This is used for CUS rules that
          allow the user to count COMP signals and have a method of using the number of
	  consecutive TRUE signals. Thanks to Xiaoguang Zhang for the plugin.
	  
20040913: Applied patch #1026411 - customizable displace in COMP indicator. Thanks to
          Xiaoguang Zhang for the patch.
	  
20040914: Fixed bug #1028142 with patch to fix seg faults on FormulaEdit insert function.
          Thanks to Xiaoguang Zhang for the patch.
	  
20040916: A logic error was found in the DMI indicator that returned smaller +DI and -DI values.
          Fixed that as well as optimised speed.
	  
20040918: Finally fixed signal propagation for the indicator tabs. Now the user can delete all the
          tabs if desired. YAY!
	  
20040919: Added progress dialogs to Scanner and Tester.

20040920: Added help dialogs to all the plugins. 

20040920: Added -ffast-math compiler option to all *.pro files. There is a noticable improvement
          in speed. Very cool.
	  
20040922: Changed the quotes dialog to be modeless.

20040922: Added help functions to menus and dialogs.


	  	  	  
0.26
====

20040221: Added new BarData class to libqtstalker. Plot and all plugins were modified to handle the new
          input bar interface. This structural change in preparation for future design changes.

20040222: Added a small current close arrow pointer to the scale area of the main plot. Helps with
          tracking where the last close is located on the scale.
	  
20040224: Moved chart object logic out of Plot:: and split each chart object off into it's own
          class. Moving towards a proper OO framework.

20040228: Moved PlotLine line type logic out of Plot:: and into PlotLine::
          Moving towards a proper OO framework.
	  
20040228: Moved chart type logic out of Plot:: and split each chart type off into it's own
          plugin. We now have chart plugins. Chart plugins now have their own pref dialogs
	  to handle colors and any parms that are specific to that chart style.
	  
20040228: Added new option to MACD plugin. Option controls the osc scaling. True turns on full
          scaling and false reverts to normal scaling.
	  
20040302: Yehaaww! Drag and drop chart objects are working. Needs some polishing and tweaking
          here and there still. But it works. This is a big step forward in usability. Overhauled
	  the Fibonacci and trendlines. 

20040303: Applied patch #909286 - thin and fat candles. Added an option to turn this feature on
          and off to compliment it. Thanks to Dany Daw.
	  
20040303: Applied patch #903981 - new doc explain cvs, development, contribution. Thanks to
          David Crossley.
	  
20040307: Added preference dialogs to all the quote plugins. Changed the quotes dialog to reflect
          this change. The settings interface to each quote plugin no longer displays in the
	  quote dialog. You need to press the settings button beside the plugin combobox to bring
	  up the settings dialog for each plugin.
	  
20040307: Folded YahooQuote plugin into Yahoo plugin. Removed YahooQuote quote plugin.
	  
20040308: Removed Price indicator plugin. Now redundant because of the Line chart plugin can replace
          it's functions.

20040309: Added an option to save the minimum bar spacing for each chart plugin. When you change
          chart types, the minimum bar spacing for that type will be the default.
	  
20040309: Last chart plugin used is now restored between sessions.

20040310: Config settings were not being saved when the WM kills the app. Fixed.

20040310: Fixed the plotting on tabbed indicators that left a space above the date if a date area
          was requested.

20040313: Converted all indicator plugins to the new dialog format. This conversion removes storage
          of indicator settings from the rc file to individual flat ascii files that are stored
	  in the new ~/Qtstalker/indicator directory. This allows greater flexibilty for
	  manipulating indicator plugins, no longer being tied to Settings:: class internally.
	  Just tell the plugin where the settings file is and it will load and configure
	  itself to it.

20040313: Converted the indicator EP plugin to a new EP chart plugin. The chart plugin is now
          better suited. Removing the EP indicator.
	  
20040322: Completed intraday quote conversion to all classes. Intraday quotes up to the minute
          can now be used. All that is needed is an app that can update the charts with quotes.
	  Will be updating the CSV and Yahoo plugins to use them in the future.
	  
20040322: Updated the GUI to use new chart compression formats of 5/15/30/60 minute charts if 
          minute bar quotes are available.
	  
20040322: Replaced the Bars combobox on the toolbar with a spinbox to better control the number of bars
          to load.
	  
20040324: Overhauled the CSV plugin to allow for users to create thier own input file format rules.
          Need to update the docs on how to do this. You create a new rule and insert the field
	  format of the ascii file into the Rule Contents list. The fields in the list should match
	  the fields in the ascii file from top to bottom in the list. Probably should create some
	  default formats for users to play with initially.

20040324: Consolidated PaintBar plugin into the Bar plugin. Removed PaintBar plugin.

20040324: Consolidated CandleQS plugin into the Candle plugin. Removed CandleQS plugin.

20040324: Modified patch #911112 - volume candle plugin - and pulled it into the Candle plugin.
          Thanks to Dany Daw for this cool patch.
	  
20040326: Modified indicator plugins to use QSMath class for often used TA functions.

20040330: Added function to toggle the crosshairs from the chart context menu.

20040330: Draw mode state is now saved between sessions.

20040331: Added a drawing function to allow the user to draw in newly created trendlines and
          fibo's instead of just clicking the start and end points.

20040401: Added a set defaults function for chart objects. Each object type can have set
          defaults when created. So far, only color and font are defaulted.

20040410: After much discussion the chart object user interface has a workable method now.
          Left mouse click to select an object. An object is selected when 1 or more boxes
	  appear next or on top of it. Left mouse click a selected object on any of the boxes
	  will put object into move mode. Move mode then tracks the position of the mouse pointer
	  allowing drag and drop action of the object. To place the object a left mouse
	  click on the point you wish to drop it. Right mouse click with a selected object
	  brings up the context menu. To unselect an object just click anywhere else on the chart
	  other than the bounds of the chart object currently selected. A double left mouse click
	  on a selection brings up the edit dialog. Keyboard shortcuts for a selected object are
	  CTRL-E for edit dialog, CTRL-M for move mode and CTRL-D for object delete.
	  
20040428: Fixed chart object scaling when scale to screen is true. Now objects only appear if
          they fall within the bar price range on screen. If scale to screen is false, all chart
	  objects will appear.
	  
20040428: Moved the "Tab Position Top" parm from prefs menu to a context menu activated by
          mouse right click on the indicator tab area. 
	  	  
20040428: Moved the "Navigator Position Left" parm from prefs menu to a context menu activated by
          mouse right click on the navigator tab area. 
	  
20040506: Added key accels to menus and dialog buttons.

20040520: Added a version number to plugin file names. Will use the file versions to control
          proper plugin loading. Note the plugin filename is slightly different than dynamic lib
	  naming convention due to qmake ignoring the version parm when building plugins.
	  
20040523: Merged CMEHistory plugin into CME plugin.

20040527: Yahoo changed historical url. Updated yahoo plugin.

20040528: Applied patch #962153 - remove deprectaed qt2 features. Thanks to Marco for this
          patch.
	  	  
20040602: Applied patches #963998, 963987, 963961 - doc updates.

	
0.25
====

20040221: Fixed compile error on some systems for the OVRLY plugin. Added include path for db.h.

0.24
====

20040208: Fixed MDK/Redhat compile bug for db.h file not found problem. This was preventing a full
          compile on the big distributions.
	     
20040208: Modified Plot::drawScale to compress the y-axis scaling numbers above 1000.

20040208: Found a new bug in the AD and OBV indicator plugins that can't handle really large numbers.
          Fixed this by applying a divisor of 1000 to all volume values used in the calculations.
	    
20040210: Changed Candle charts to display hollow and filled properly.

20040211: Fixed bug for weekly and monthly charts when volume values exceed the double type limit.
          This fix just disables the values. The proper fix will have to come in the next version
          using Qt3.3 due to qt limits on long double conversion.
	    
20040213: Fixed bug that created phantom indicator when edited. 

20040214: Found and fixed the real cause of the volume overflow bug. Turns out it was because Scaler
          just didn't go up high enough. Added more billions to the scaling strings. Restored weekly
	  and monthly volume back to charts. Also restored the OBV and AD indictors by removing the
	  divisor to volume values.

20040214: Fixed bug that didn't refresh the group page if the group is renamed.

20040215: Added new chart type Candle and Candle 2. Candle is the traditional way of plotting candle
          charts. Candle 2 is the qtstalker custom way of candles.

20040217: Fixed trendline bug that behaves erratically if the end point selected is <= the start point.


0.23
====

- Feature request #824930 applied. Moved html docs into /usr/share/doc/qtstalker/html

- Fixed bug #824922 - License is GPL not LGPL.

- Thanks to Marco van Zwetselaar for creating a Debian package. Marco is working on getting qtstalker into the main Debian
  distribution. This is exciting news.

- Fixed bug #825827 - MySQL plugin RH9 compile problem.

- Repackaged the db source to minimize size.

- Removed the CBOT plugin code. Given up hope for a work around.

- Added DDMMYYYY date format to the CSV plugin. Also added auto detection for date field delimiters (/-.).

- Fixed bug #830024 - single-click versus double-click with SymbolDialog.

- Fixed bug #830357 - synchronised cross-hairs, data values were switched.

- Added ability to stack indicators or add them to the tabs. Now you can view more than one tabbed indicator at a time.

- Changed the new indicator dialog. Combined several steps and dialogs into one. Introduces an option to put the
  indicator in either the tabs or stackable.

- Added a search function to the workwith charts tab.

- Added a new field format for the CSV plugin. SDOHLCV files can now be imported.

- Changed trend line dialog and creation functions to better handle extending them without user intervention.
  There are now 2 value options for the start and end points. You can either use the bar data OHLC or specify a value.
  The "Use Bar" toggle selects the bar fields to be used instead of a specific value. Trend lines will
  automatically extend as bars are added to the chart.

- Added Point and Figure chart options to the preferences dialog. "P&F Box Size" determines the size of
  each box, leaving this value at zero uses the default box sizing formula. "P&F Reversal" indicates
  the number of boxes before a reversal takes place. The default is 3.

- Applied patch #834376 - enhance chart search and tooltip.

- Lowered the minimum bar spacing to 3 for line charts as per request.

- Applied patch #836996 - changelog shows a bit more detail

- Applied patch #837617 - patch to create libqtstalker.so. Kudos to Marco van Zwetselaar for moving the shared classes into a
  library. This has reduced the size of the executable and plugins by as much 2 thirds! Great patch Marco, we are back on track
  to being lean and mean.

- Fixed the Index plugin. Was not populating the chart with data due to bad symbol paths.

- Tweaked the plot crosshairs to draw faster and y axis duplication if possible.

- Moved the plugin management functions into Config class. Changed the plugins to stay opened and available
  instead of opening and closing all the time. Better speed. Maybe OSX will work with this arrangement.
  Added a Plugin::clearOutput() function to minimize memory use with open plugins.

- Added new indicator plugin THERM. Thanks to patch #843533 from Martin Flack.

- Added function to PlotLine class to color individual histogram bars. VOL and THERM plugins now use this.

- Fixed a bug with CC quote plugin. It was not calculating forward contracts properly on some symbols.

- Applied patch #845558 - Elder's Safezone stop - new indicator SZ from Martin Flack.

- Had to back out of keeping plugins open. Was causing problems with persistant settings losing values. The speed difference
  was actually pretty small, so no big loss here.

- Commented out all LIBS += -L/usr/lib references in all plugins and src *.pro files. This was causing a problem on some
  distributions when compiling. The old /usr/lib/libqtstalker was being linked instead of the newly compiled library in
  the source tree. This shows up as undefined references to functions when make tries to link the qtstalker binary to the
  old library instead of the new library. Hopefully, this will fix it.

- App now saves and restores window height, width, x and y positions.

- Bar position is restored if chart is reloaded. No longer resets to the last bar.

- Changed chart type name from "Point and Figure" to "P&F" to help shorten the width of the chart type
  combobox.

- Added a new functions Plugin::getPluginSettings and Setting::merge to better manipulate settings.

- Modified a few functions in QtstalkerApp to refresh the chart much faster when modifying indicators. The old method
  would just reload the whole chart. The new method refreshes just the indicator.
  
- Applied patch #860795 - fix for indicator setting bug.

- Modified the drawing routines for Plot::drawXGrid, Plot::getXFromDate to increase speed.

- Added ability to print charts chart popup menus. Have not tested this, hope it works properly...

- Applied patch #872874 - apply yahoo adjusted close column. Essentially the yahoo plugin can now do
  adjusted splits for stocks. Consult the docs for the details on how this works. Thanks to Martin Flack
  for this great patch.

- Applied patch #872878 - double size of the MACD osc. Was appearing too small on some charts for easy viewing.

- Applied patch #872881 - chart WILLR with 100 at bottom. This fixes the scaling to be faithful to the
  original method. Values are converted to negative values in order to plot properly.

- Added a flag to PlotLine to ignore shared scaling and scale relative to itself. Changed MACD plugin
  to use this flag for the osc plot. Only minor flaw is the zero position for histograms does not match
  up with the visible scale. Best use of this flag is for small ranges in multiple plots so that they
  can better be seen by the user.

- Added a new Scaler class for use in plotting flexibility. This is a utility class. 

- 20040118: Updated copyright notice and cleaned up .pro files for quote plugins.

- 20040121: Updated copyright notice and cleaned up .pro files for indicator plugins.

- 20040122: Moved the chart popup menu creation routines to Plot class. This also has the effect of
            the popup menu listing only chart objects and indicators that apply to the chart clicked
	    on.

- 20040123: Updated the docs. Getting ready for the 0.23 release.


0.22
====

- Added MA options to the VOL, OI indicator plugins.

- Updated the date area of charts to include more detail.

- Fixed compile error in the /src/src.pro file that didn't compile QuotePlugin and IndicatorPlugin classes.

- Added a new side panel to allow the user to enable/disable main chart indicators on the fly.
  Double click on the indicator in the list to enable or disable the indicator.

- Added 0% line option to fibo chart object.

- Added DTOHLC format option to the CSV plugin.

- Added toolbar toggle to hide/show the main OHLC plot. Use this to clarify other close based indicators
  on the chart.
  
- Added new indicator PRICE. This allows you to plot a number of different price plot formulas.

- Applied patch #816926 - BB indicator not showing BBU value.

- Applied patch #816927 - Added a new "Data Panel" doc. Further clarify the
candlesticks. Updated FAQ to encourage more contributions.

- Added an additional include path to all the plugins to help in compiling with older qmake versions. (Debian).

- Applied patch #816871 from Marco van Zwetselaar. This is a new quote plugin (MySQL) that allows the user to import quote data from
  MySQL db's into Qtstalker format. Added a function to the qtstalker.pro file to make a conditional compile of this plugin if the 
  mysql.h header file can be found. If not found, the plugin will not be compiled.

- Better resizing of columns when editing user settings in SettingView class.

- Fixed bug #819309 that caused a segfault with 'floating point error' on new tab indicator creation.

- New indicator plugin OVRLY. This tabbed indicator allows you to chart the current symbol along with a base symbol on the same chart.
  There are 2 methods. Compare Price will show both plots, normalized so that scaling makes sense. This is good for comparing symbols
  against an index or similar sectors. Compare Performance plots the % performance of each symbol from the first bar. This is good for
  showing the relative % performance.
  
- Added new directive to all the plugin *.pro files to use /src for all moc files. Now compiles on Debian stable finally!

- Disabled indicators settings were not being set after loading a new chart. Fixed.

- Added new button to the toolbar to toggle the date plot on the tabbed indicators.

- Added new preference to change the position of the indicator tabs. 'Indicator Tabs Top' if checked will put the tabs on the top,
  unchecked will move tabs to the bottom.
  
- The crosshairs are now linked between the main plot and the indicator tabs.

- Trimmed down most of the png files in the docs in an attempt to reduce the size of the source package (2+ meg). Perhaps in the future,
  we will have to split the docs off into a separate source package.
  
- Added check for spaces when creating a group.

0.21
====

- Fixed the resize bug with the side panel causing the annoying plot resizes.

- Shortened the labels that appear in the side panel to minimize space.

- Removed the Volume label from the side panel when mouse is over the main chart. It should only appear in the VOL chart.

- Applied patch from David Crossley for the CSV plugin docs.

- Fixed a bug that would segfault if there was only 1 bar to plot.

- Applied 3 patches for PP color and several docs from David Crossley.

- Applied preliminary exhaustion bar patch from David Crossley. This is a new chart type see docs for details.

- Changed the name of the Qtstalker quotes plugin to QtstalkerFormat. This was to keep from confusing object files with the
  main program.
  
- Finally changed the compiling process to a regular './configure;make;make install' format. To do this I had to re-organize the
  entire source tree. The executable 'qtstalker' will now be put into /usr/bin. The plugins will be created in /usr/lib/qtstalker.
  The docs will go into /usr/share/doc/qtstalker. This seems to be the most popular choice (at least with Gentoo and Debian)
  
- Removed the install plugins stuff. Not really needed since all you have to do is plop the lib into the dir for it to work.

- Rewrote the paint bar functions in Plot class to accept colors from indicator plugins. Added a new function to Plugin class
  to handle color bars from indicators.

- New indicator Exhaustion Points (EP). This was originally code from Plot class that was moved into an indicator instead.

- New line type "Invisible" added. This allows data plots to be hidden, but the data to be visible in the side panel or data window.

- Color bars were off by one in the EP indicator. Fixed.

- Removed CBOT plugin from the compile process pending a future fix or removal.

- Fixed the change field in the main chart to display only decimal numbers.

- Applied patch #788557 for EP docs from David Crossley.

- Applied patch #788595 for new indicator MMA from David Crossley.

- Changed SettingView class to remove user sorting of the table. Instead the key sorting will be done internally.

- Applied patch #789058 from David Crossley to fix candles not being drawn properly when open == close.

- Changed some functions in Qtstalker class to use signals to make Plot class parm changes.

- Applied patch #791519 from Marco van Zwetselaar to add .cvsignore files to the source tree.

- Applied patch #792296 from David Crossley for new indicator FI (force index).

- Added new Config option NavigatorPosition that allows user to place the chart navigator on the left or right side. The
  default is left side. This setting is edited in the preferences dialog. Checked means left side. Unchecked means right side.

- Added new option to all MA's to displace them if desired. 0 for no displacement and > 0 for bars of displacement. Updated the
  MA, MA2, MA3, MMA plugins with the new parm.

- Removed Ratio quote plugin. Moved ratio functions into the Spread quote plugin.

- Applied patch #806926 from David Crossley.

- Put a lebel in the group navigator tab to indicate what the current group is.

- Fixed Yahoo quote plugin to accept yahoo format change (Adj. Close*) on 2003.09.17.

- Renamed /src/Qtstalker.pro to src.pro to fix problem with qmake logic on some distributions.

- CSV plugin updated to accept date ranges, delimiter types and date format.

0.20
====

- Some compile errors reported because I made some changes that apply to Qt3.1.2 that are not compatible with Qt3.0*
  Back ported the QString::remove to Qt3.0*
  
- I split the ./compile script into 2 scripts. ./compile creates the qtstalker binary, and ./compile_plugins creates all
  the plugins. This is to make the compile process more efficient and flexible.
  
- Thanks to Marco van Zwetselaar for a patch to implement Log scaling to charts. 

- Added a "Color Bars" parm to draw color up and down bars for the VOL plugin. This only works if you use the
  histogram bars line style.
  
- Added a data panel located under the tab area that dynamically updates all the chart values where the mouse is currently located.

- Reports that 0.19 does not create a binary on some dist's "Debian". 0.17 compiles fine. I think this is because
  I removed the -ldl linker option for FreeBSD. Some dist's need the linker option. Updated all the *.pro files to add
  the -ldl linker option if on a linux-g++ system.
  
- Added new chart type "Swing". This is the typical Gann swing chart type.

- Experimented with an OSX port. Turns out apple has a broken plugin system, you can load them but can't unload them.
  Until they fix this, a OSX port will not be practical or efficient. Cmon apple, even win32 can do this...think different?
  
- Added the stdlib header to GroupPage to fix a compile error on Debian.

- Fixed a bug that didn't update the ChartPage after downloading quotes for the first time.

- Backported QTable::setColumnLabel() function to Qt3.0.* It seems most of the compile errors being reported are caused
  by very small changes in the 3.1* versions. Most distributions are still using the 3.0* version, guess I'm spoiled
  using Gentoo.
  
- fixed QDir::refresh() compile error, backported to Qt 3.0* 
  
0.19
====

This is a rush release to address some nasty bugs.

- There was a nasty bug that segfaulted on new installs and when trying to delete the last tabbed indicator.
  In trying to fix this I found an annoying limitation with the QTabWidget. In order to fix this I had to make
  a tabbed indicator page always visible in order to propagate resize signals properly.

- Adjusted the initial chart position by one bar due to some plots being partially truncated.

- I was unhappy with the all the tab function buttons causing limitations to resizing. I removed the buttons
  and replaced them with a context menu instead. Just right click with the mouse to bring it up. Doh!

- Changed the tab directory widgets to behave more like the standard directory dialogs. Double clicks to
  enter and leave sub directories instead of single clicks. Singles were creating some problems.

0.18
====

- Removed the -ldl linker parm from all *.pro files. This was a legacy issue, no longer needed.
  Now compiles on FreeBSD just like on Linux. Yea baby.

- Updated CC plugin to allow for rollover control. Number used is days from last trading day to
  rollover to the next contract. This can be a lengthy process to run this plugin as it has to rebuild each chart
  from scratch every time you update. Allow for a few minutes to complete. Also added a maximum years
  parm to limit the size of the chart.

- Updated HLC plugin to follow Donchian rule.

- Removed the charts from the backtesting dialog. This was bloat and fluff we don't need. Everything that is 
  important is in the summary.
  
- Added a global font preference for the app.

- Changed the dialogs to edit most values in place instead of popping up a dialog.

- Made some GUI changes to the toolbar. Replaced chart type and chart compression buttons with combo boxes.

- Changed chart object creation to be alot simpler. After selecting an object to create, just click on the chart and the
  object will be created without user interaction.

- Made a major GUI change by adding a tabbed section on the left of the main screen. This area can be used to expand
  stuff in the future. I merged all the chart, group, portfolio and backtest dialogs onto the tabs. This allows quick and easy
  access to all the major stuff without having to bring up dialogs all the time. To navigate through a group, just use the mouse
  or the keyboard arrow keys to move back and forth.

- Added start and end date controls to the Yahoo plugin for more precise downloads. Hopefully this will solve some of the
  foreign quote problems.
  
- Did some tuning to various classes for better speed and memory usage.

- Added individual pixmaps for each type chart object for better id.

- Updated the docs.

0.17
====

- Bug fix for yahoo quotes that didn't update new symbols first time.

- Added basic indicator documentation.

- Added new quote plugin CC. This creates a continuous adjusted futures chart for each futures symbol available.

- Added status messages to all the quote plugins for monitoring download progress.

- Added an indicator plugin tutorial in the docs.

0.16
======

- added an icon for qtstalker (qtstalker.xpm)

- added font preference for charts

- Fixed bug that didn't update filelist after deleting a chart

- COT changed filenames for the annual file, updated COT quote plugin to handle old and new names.

- Fixed bug that skipped previous date when calculating MA's.

- Added a compile option to increase speed and decrease size "-Os".

- Fixed "export" all bug that seg faults when trying to export all charts.

- Added new MA support for Wilder's MA method  and fixed TR function to include first bar. Thanks to Glen for the patch.

- New quote plugin "Ratio". This is a composite that divides two symbols to produce the ratio between them.

- New quote plugin "CSV". This imports comma-separated values (CSV) ascii
  files from the local filesystem.

- Fixed bug that prevented chart objects with a date parm to draw.

- Oh yeah baby, now we are getting serious, the basic backtesting module now completed. First person that finds the best
  indicator rules to short MSFT and UIS stock to oblivion gets drinks on me. Let the games begin.
  
- Added new dialog to edit chart tick data in place.

0.15
======

- Comprehensive documentation now included in the docs directory. Moved all the docs there.
  Whew! I'd rather stare at the wall than write docmentation. It's finally done.
  
- Ported code to Qt3. There is no backwards compatability with =< Qt2.3

- Simplified the plugin interface with a new design. Much simpler now. Plugin is now the base
  class for all plugins. Had to change all the plugins to accomodate the changes.

- Removed chart plugins and merged them back into Plot code, this was not so
  good an idea. Oh well.

- Added new Quote plugins:
    NYBOT - Used to import NYBOT exchange futures data from an ASCII file.
    Qtstalker - Used to import ASCII files that have been exported using qtstalker's export function.
    COT - Download commitment of traders reports for all major futures.
    CMEHistory - Downloads CME history for the current year only.
    Index - Used for creating and updating custom index composites
    Spread - Used for creating and updating custom spread composites

- Removed Variable plugin

- Combined the STOCHF and STOCHS plugin indicators into new STOCH plugin

- Combined the SMA, EMA, WMA plugin indicators into MA plugin

- Added colors to Candle charts

- New indicators:
    MA2 - 2 plot MA
    MA3 - 3 plot MA
    DPO - Detrended Price Oscillator
    VOLR - Volatility Ratio

- added a cancel download function to quotes

- added an install script that installs plugins and files for you instead of doing it manually.

- added colors to text labels on plots.

- added more detail to the date area of charts when zooming in.

- moved chart object and line object management into the plot widget to be more OO

- changed Point & Figure chart to include date spacing

- changed the indicator area back to using tabs, arghh the button text was tool small for toolbar buttons

- Removed NYMEX plugin because they have gone to a dynamic html format along with a click through EULA. Thanks alot NYMEX,
  I guess you dont want to promote the exchange by making quotes easily available.

- Oh boy, I changed db's again... I keep flip flopping, but I did some tests with db-2.7.7 against gdbm-1.8 and managed a
  25% speed increase. So, I replaced gdbm with db. Btree is actually faster than hashing...go figure. Sorry folks, all your existing
  charts are not usable in the old format.

- Recoded ChartDb class to allow for custom data formats, now we can create custom charts for custom quote plugins.

- Putting all the charts in one directory has become a problem when you have several hundred charts. Quote plugins will now create
  sub directories from the root /data. The workwith charts dialog now navigates the directory tree.


0.14
======

This is a bug fix release.


0.13
======

- I have gone plugin crazy. Almost every chart feature will be a dll plugin library.
  Chart types, indicators, quote sources, chart objects will be plugins.
  So far, chart types, indicators, quote sources, are now plugins.
  I will make chart objects plugins in the future.

- chart objects can be applied to all plots

- plot size now adjustable by using the splitter

- common gui method for changing parameters in dialogs

- redesigned the plot widget to be more OO

- using gdbm for db functions, removed the db dependicies, I am sick and tired of db upgrades
  and version changes

- removed the glib dependecies

- added paint bars chart type

- moved all data except tick data, to ASCII format for headache reduction

- space between bars can be changed now

- 2 scaling styles now, scale to entire data series and scale to screen

- changed indicator tabs to a toolbar with buttons


0.1 - 0.12
===========

Lots of changes I didn't record because I was too lazy.

